DESCRIPTION = "Console file manager."
HOMEPAGE = "https://github.com/jarun/nnn"
SECTION = "console/utils"
PRIORITY = "optional"
LICENSE = "BSD"

LIC_FILES_CHKSUM = "file://LICENSE;md5=35e1da0ca27bc0a2ced33c836260c1bc"

DEPENDS = "ncurses readline"
SRC_URI = "http://distro.ibiblio.org/easyos/source/alphabetical/n/nnn-${PV}.tar.gz"

SRC_URI[md5sum] = "b3da62fa1e3b8915530a72953c521a77"
SRC_URI[sha256sum] = "93590a93aa9f095931101247de12055d0f912ec8e93ccc126dcd4523327173aa"

S = "${WORKDIR}/nnn-${PV}"
PR = "r0"

inherit base

#CFLAGS += " -O2"

do_configure () {
    true
}

do_compile() {
	oe_runmake CFLAGS="${CFLAGS} -O2"
}

do_install() {
	oe_runmake install DESTDIR=${D} PREFIX=/usr
}

SUMMARY = ""
